#include "openssl/bio.h"
#include "openssl/ssl.h"
#include "openssl/err.h"

void OpenSSL_SML_add_all_algorithms(void);
void OpenSSL_SML_load_error_strings(void);
void OpenSSL_SML_load_BIO_strings(void);
int OpenSSL_SML_get_error(void);
const char *OpenSSL_SML_lib_error_string(int err);
const char *OpenSSL_SML_func_error_string(int err);
const char *OpenSSL_SML_reason_error_string(int err);
int OpenSSL_SML_write(BIO *b, const void *data, int len);
BIO *OpenSSL_SML_new_connect(char *addr);
void OpenSSL_SML_free_all(BIO *b);
int OpenSSL_SML_do_connect(BIO *b);
